(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* codegen.mli,v 1.2 1995/08/09 14:59:35 xleroy Exp *)

(* From C-- to assembly code *)

val phrase: Cmm.phrase -> unit
val file: string -> unit

val dump_cmm: bool ref
val dump_selection: bool ref
val dump_live: bool ref
val dump_spill: bool ref
val dump_split: bool ref
val dump_interf: bool ref
val dump_prefer: bool ref
val dump_regalloc: bool ref
val dump_reload: bool ref
val dump_linear: bool ref
